nautilus crashed with SIGSEGV in gtk_ui_manager_new_merge_id()

Bug #1018896 reported by Jurjen Stellingwerff on 2012-06-28
716
This bug affects 123 people
Affects Status Importance Assigned to Milestone
Nautilus
Fix Released
Critical
gtk+3.0 (Ubuntu)
High
Unassigned
Quantal
High
Unassigned
nautilus (Ubuntu)
High
Unassigned
Quantal
High
Unassigned

Bug Description

This is a quantal bug not on precise so I entered a new bug report.
Nothing special was going on just closed a few windows (browsers) and this error came up.

ProblemType: Crash
DistroRelease: Ubuntu 12.10
Package: nautilus 1:3.5.2-0ubuntu3
ProcVersionSignature: Ubuntu 3.5.0-2.2-generic 3.5.0-rc4
Uname: Linux 3.5.0-2-generic i686
ApportVersion: 2.2.5-0ubuntu1
Architecture: i386
CrashCounter: 1
Date: Thu Jun 28 17:34:40 2012
ExecutablePath: /usr/bin/nautilus
InstallationMedia: Ubuntu 10.04 LTS "Lucid Lynx" - Release i386 (20100429)
ProcCmdline: nautilus -n
ProcEnviron:
 LANGUAGE=en_GB:en
 PATH=(custom, no user)
 LANG=nl_NL.UTF-8
 SHELL=/bin/bash
SegvAnalysis:
 Segfault happened at: 0xb7464aa4 <gtk_ui_manager_new_merge_id+4>: mov 0xc(%eax),%edx
 PC (0xb7464aa4) ok
 source "0xc(%eax)" (0x0000000c) not located in a known VMA region (needed readable region)!
 destination "%edx" ok
SegvReason: reading NULL VMA
Signal: 11
SourcePackage: nautilus
StacktraceTop:
 gtk_ui_manager_new_merge_id () from /usr/lib/i386-linux-gnu/libgtk-3.so.0
 ?? ()
 ?? ()
 ?? ()
 ?? ()
Title: nautilus crashed with SIGSEGV in gtk_ui_manager_new_merge_id()
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm admin audio cdrom dialout dip fax floppy fuse lpadmin netdev plugdev sambashare tape video

StacktraceTop:
 gtk_ui_manager_new_merge_id (manager=0x0) at /build/buildd/gtk+3.0-3.5.6/./gtk/gtkuimanager.c:1427
 nautilus_ui_get_menu_icon (icon_name=0x0) at nautilus-ui-utilities.c:132
 reset_open_with_menu (selection=0x861fac0, view=0x88840d8) at nautilus-view.c:4597
 real_update_menus (view=0x88840d8) at nautilus-view.c:8344
 nautilus_icon_view_update_menus (view=0x88840d8) at nautilus-icon-view.c:1427

Changed in nautilus (Ubuntu):
importance: Undecided → Medium
tags: removed: need-i386-retrace
visibility: private → public
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in nautilus (Ubuntu):
status: New → Confirmed
Changed in nautilus (Ubuntu):
importance: Medium → High
Changed in gtk+3.0 (Ubuntu):
status: New → Confirmed
Rainer Rohde (rainer-rohde) wrote :

Just happened to me while opening a folder...

Karma Dorje (taaroa) wrote :

it happened again. at the time of opening a directory with pictures.
a few seconds Nautilus does not display the contents of the directory, just a solid white sheet with no content.

Blümchen Blau (bluemchen-blau) wrote :

Similar crash today but in "fresh install" of alpha 1 - not a dist-upgrade - with up-to-date patches.

Omer Akram (om26er) wrote :

this can sometimes cause Unity to hang. Since it does not play well if nautilus is killed.

Doug McMahon (mc3man) wrote :

It would seem that this may not affect all hardware quite the same, some have reported no or only occasional issue.
Here I've tested on 3 machines using the latest image, 2 laptops, 1 desktop. All exhibit almost constant crashes of nautilus in use. The only thing similar about them is intel dual core & nvidia adapters.

Attached is small vid showing most but not all of the common ways the crash occurs here inc. a side effect on unity launcher after a crash & re-open. This is on a new install, ubuntu session though all sessions would show the same.

So atm this renders the use of nautilus almost impossible on some machines
The only change from when gtk-3.5.6 first showed in proposed to current image is it happens more now, virtually every other fresh opening of a naut window

C de-Avillez (hggdh2) on 2012-07-09
tags: added: qa-manual-testing
Ian Nicholson (imnichol) wrote :

Occurred when I tried to open nautilus.

Changed in gtk+3.0 (Ubuntu Quantal):
importance: Undecided → High
Changed in nautilus:
importance: Unknown → Critical
status: Unknown → New
Doug McMahon (mc3man) wrote :

I would have to disagree with the reporter in upstream bug that the issue stops when using nautilus 3.5.1 as supplied by Ubuntu. (At least with the available hardware here there is no change at all, nor expected any.

Also did rebuild gtk without_atk_bridge which also had no effect though that may have been a semi-worthless endeavor
Also, as a side note, a straight up build of the current nautilus master also fails in exact same manner

Doug McMahon (mc3man) wrote :

Would additionally like to note that if I disable nautilus from using the Desktop then the constant crashing ceases
By default the option is Not enabled as seen in dconf-editor so it needs to be enabled then disabled
(also found a full log out/in to be best

gsettings set org.gnome.desktop.background show-desktop-icons true
gsettings set org.gnome.desktop.background show-desktop-icons false

jerrylamos (jerrylamos) wrote :

Quantal amd64 had nautilus up in background and was keying in a line in a foreground terminal session and couldn't understand why keystrokes were being ignored - then I saw crash was occurring.

Jerry

Barry Drake (b-drake) wrote :

Seems to have been occurring quite randomly for me. Sometimes, Nautilus simply shuts down with no crash. It usually opens again second or third try.

tsj (ts3141592) wrote :

Browsing files in the home directory when the error message popped up. Up-to-date quantal with 3.5.0-4-generic kernel.

Sebastien Bacher (seb128) wrote :

@Doug: when you say "a straight up build of the current nautilus master" was that a stock upstream build or with Ubuntu patches? Does downgrading gtk to 3.5.4 workaround the issue?

On 07/12/2012 04:35 AM, Sebastien Bacher wrote:
> @Doug: when you say "a straight up build of the current nautilus master"
> was that a stock upstream build or with Ubuntu patches? Does downgrading
> gtk to 3.5.4 workaround the issue?
>
Just the source as is (git clone, autogen.sh, ect.

What I've found here.
All recent Ubuntu nautilus packages, 3.5.* & the git will crash on gtk 3.5.6
The big difference here on a couple of machines is if nautilus is
handling the Desktop then the crashes are continual as shown in above
attached video

If I disable nautilus handling the Desktop then the crashes drop to
maybe a couple per session (3-4 hrs), usually are subsequent to a move,
(DnD) or rename though could just happen at any time

Reverting to gtk* 3.5.4 & all crash behavior ceases. This crash started
as soon as gtk was upped to 3.5.6 in proposed, I believe at that point
nautilus was still at 3.5.2,

jerrylamos (jerrylamos) wrote :

Was doing a "less" on a copy of syslog.

Jerry

Guy Stone (stoneguy3) wrote :

Installed Quantal64Jul14.1 daily live into VBox. Updated and installed some addtional packages, switched to Classic No Effects desktop. Changed appearances slightly. Went to VBox full-screen display for this VM. Clicked Places, and here I am!

Wouldn't occurance in a VM make hardware issues unlikely?

Guy Stone (stoneguy3) wrote :

And yet another occurrance when trying to bring up gparted. I'll stop playing today :)

peterzay (peterzay) wrote :

I plugged in a dmcrypt encrypted usb key and got this error.

peterzay (peterzay) wrote :

I unplugged (eject) a dmcrypt encrypted usb key and got this error.

Everynow and then I get this bug.

Tobias Wolf (towolf) wrote :

Does this have anything to do with this bug?

$ ls -d .cache/at-spi2-* | wc -l
8285

i.e., there are over 8 thousand at-spi folders in my .cache directory.

Doug McMahon (mc3man) wrote :

On 07/17/2012 07:41 PM, Tobias Wolf wrote:
> Does this have anything to do with this bug?
>
> $ ls -d .cache/at-spi2-* | wc -l
> 8285
>
>
> i.e., there are over 8 thousand at-spi folders in my .cache directory.
>
No, at least not here, plus that bug has been fixed. Update
libatk-bridge*, clear all those at-spi folders & you'll see..

John Belton (jbelton1950) wrote :

I was trying to do a software update and the window closed so there was no indication of the status of the updates. The update may have progressed in the background as there seemed to be disk drive activity but that may have been something else.
This istallation was in VirtualBox running in Ubuntu 12.04 LTS.
John

Doug McMahon (mc3man) wrote :

The gtk 3.5.8-0ubuntu2 packages have seemingly stopped the nautilus crashes here when nautilus is handling the Desktop
(previously could crash at will or in use every other opening of new naut window, ect.

Yeah, I can't reproduce it either, just opening and closing nautilus a lot. It looks fixed to me.

I'm not exactly sure why Launchpad didn't note this changelog and change the status:

    gtk+3.0 (3.5.8-0ubuntu2) quantal-proposed; urgency=low

      * debian/patches/revert_nautilus_segfault.patch:
        - revert commit that makes nautilus segfault randomly (lp: #1018896)

     -- Sebastien Bacher <email address hidden> Wed, 18 Jul 2012 21:28:53 +0200

Shall we mark it fixed in Ubuntu, if not upstream? Thanks.

Sebastien Bacher (seb128) wrote :

the bug will be autoclosed when the new gtk is copied from quantal-proposed to quantal

Changed in gtk+3.0 (Ubuntu Quantal):
status: Confirmed → Fix Committed
Sebastien Bacher (seb128) wrote :

@Doug, @Edward: thanks guys for confirming it fixes the issue, I'm glad I found the right commit ;-)

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gtk+3.0 - 3.5.8-0ubuntu2

---------------
gtk+3.0 (3.5.8-0ubuntu2) quantal-proposed; urgency=low

  * debian/patches/revert_nautilus_segfault.patch:
    - revert commit that makes nautilus segfault randomly (lp: #1018896)
 -- Sebastien Bacher <email address hidden> Wed, 18 Jul 2012 21:28:53 +0200

Changed in gtk+3.0 (Ubuntu Quantal):
status: Fix Committed → Fix Released
Changed in nautilus:
importance: Critical → Unknown
status: New → Unknown
Changed in nautilus:
importance: Unknown → Critical
status: Unknown → New

I can't reproduce this anymore, it seems to be fixed.

Karma Dorje (taaroa) wrote :

looks like it's fixed.

Changed in nautilus:
status: New → Fix Released
Albert Astals Cid (aacid) wrote :

Marking as invalid in "nautilus (Ubuntu)" as suggested by Sebastien Bacher since it was a gtk issue

Changed in nautilus (Ubuntu Quantal):
status: Confirmed → Invalid
To post a comment you must log in.